# frozen_string_literal: true

module Negroni
  module Controllers
    # Helpers for controllers
    module Helpers
      extend ActiveSupport::Concern

      included do
        prepend PrependedMethods
      end

      # Methods that are prepended into the class that includes {Helpers}
      module PrependedMethods
        extend ActiveSupport::Concern

        included do
          rescue_from Negroni.not_found_exception, with: :not_found
        end

        private

        def not_found
          head :not_found
        end
      end
    end
  end
end
