# frozen_string_literal: true

require 'knock/authenticable'

module Negroni
  module Controllers
    # TokenAuthenticable adds methods to the including controller class to
    # enable authentication via json web tokens.  Basically, it just includes
    # {Knock::Authenticable} in the class.
    #
    # @see Knock::Authenticable
    module TokenAuthenticable
      extend ActiveSupport::Concern

      included do
        include Knock::Authenticable
      end
    end
  end
end
