# frozen_string_literal: true

begin
  require 'omniauth'
  require 'omniauth/version'
rescue LoadError
  warn 'Could not load `omniauth`.  ' \
       'Please ensure you have the omniauth gem in your gemfile (>= 1.0.0).'
  raise
end

unless OmniAuth::VERSION =~ /^1\./
  raise 'You are using an old OmniAuth version, please make sure it is >= 1.0.0'
end

OmniAuth.config.path_prefix = nil
OmniAuth.config.logger = Rails.logger

module Negroni
  # The `OmniAuth` module encloses configuration and providers for OmniAuth
  # integration.
  module OmniAuth
    autoload :Config, 'negroni/omniauth/config'
  end
end
